play.server.ssl

## Class SslHttpServerPipelineFactory

- java.lang.Object
- - play.server.HttpServerPipelineFactory
  - - play.server.ssl.SslHttpServerPipelineFactory

All Implemented Interfaces:
  org.jboss.netty.channel.ChannelPipelineFactory

    public class SslHttpServerPipelineFactory
    extends HttpServerPipelineFactory

### Field Summary

### Fields inherited from class play.server.HttpServerPipelineFactory

`classes`

### Constructor Summary

Constructors
Constructor and Description
`SslHttpServerPipelineFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.jboss.netty.channel.ChannelPipeline` `getPipeline()`

### Methods inherited from class play.server.HttpServerPipelineFactory

`getInstance, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SslHttpServerPipelineFactory

    public SslHttpServerPipelineFactory()

### Method Detail

#### getPipeline

    public org.jboss.netty.channel.ChannelPipeline getPipeline()
                                                        throws java.lang.Exception

Specified by:
  `getPipeline` in interface `org.jboss.netty.channel.ChannelPipelineFactory`
Overrides:
  `getPipeline` in class `HttpServerPipelineFactory`
Throws:
  `java.lang.Exception`